package com.yd.api.practitioner.service;

import com.yd.api.practitioner.vo.hiring.*;
import org.springframework.stereotype.Service;

@Service
public interface PractitionerHiringService {

    SaveMembershipResponseVO saveMembership(SaveMembershipRequestVO requestVO);

    SaveBasicInfoResponseVO saveBasicInfo(SaveBasicInfoRequestVO requestVO);

    QueryMembershipResponseVO queryMembership(QueryMembershipRequestVO requestVO);

    SaveWorkingExperienceResponseVO saveWorkingExperience(SaveWorkingExperienceRequestVO requestVO);

    SavePersonPictureResponseVO savePersonPicture(SavePersonPictureRequestVO requestVO);

    SaveIDPictureResponseVO saveIDPicture(SaveIDPictureRequestVO requestVO);

    SaveLastGraduateGradeResponseVO saveLastGraduateGrade(SaveLastGraduateGradeRequestVO requestVO);
}
